# Class McpSessionManager

java.lang.Object
com.google.adk.tools.mcp.McpSessionManager

public class McpSessionManager extends Object
Manages MCP client sessions.

This class provides methods for creating and initializing MCP client sessions, handling different connection parameters and transport builders.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `McpSessionManager(Object connectionParams)`
  `McpSessionManager(Object connectionParams, McpTransportBuilder transportBuilder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `io.modelcontextprotocol.client.McpAsyncClient`
  `createAsyncSession()`
  `io.modelcontextprotocol.client.McpSyncClient`
  `createSession()`
  `static io.modelcontextprotocol.client.McpAsyncClient`
  `initializeAsyncSession(Object connectionParams)`
  `static io.modelcontextprotocol.client.McpAsyncClient`
  `initializeAsyncSession(Object connectionParams, McpTransportBuilder transportBuilder)`
  `static io.modelcontextprotocol.client.McpSyncClient`
  `initializeSession(Object connectionParams)`
  `static io.modelcontextprotocol.client.McpSyncClient`
  `initializeSession(Object connectionParams, McpTransportBuilder transportBuilder)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### McpSessionManager

    public McpSessionManager(Object connectionParams)

  - ### McpSessionManager

    public McpSessionManager(Object connectionParams, McpTransportBuilder transportBuilder)

- ## Method Details

  - ### createSession

    public io.modelcontextprotocol.client.McpSyncClient createSession()

  - ### initializeSession

    public static io.modelcontextprotocol.client.McpSyncClient initializeSession(Object connectionParams)

  - ### initializeSession

    public static io.modelcontextprotocol.client.McpSyncClient initializeSession(Object connectionParams, McpTransportBuilder transportBuilder)

  - ### createAsyncSession

    public io.modelcontextprotocol.client.McpAsyncClient createAsyncSession()

  - ### initializeAsyncSession

    public static io.modelcontextprotocol.client.McpAsyncClient initializeAsyncSession(Object connectionParams)

  - ### initializeAsyncSession

    public static io.modelcontextprotocol.client.McpAsyncClient initializeAsyncSession(Object connectionParams, McpTransportBuilder transportBuilder)